# Generated by Django 2.2.7 on 2019-12-05 05:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="ControlledVocabulary",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("prefix", models.CharField(max_length=50, unique=True)),
                ("label", models.CharField(max_length=200, unique=True)),
                ("base_url", models.URLField(blank=True, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("concept", models.CharField(blank=True, default="", max_length=50)),
            ],
            options={
                "ordering": ["prefix"],
                "verbose_name_plural": "Controlled vocabularies",
            },
        ),
        migrations.CreateModel(
            name="ControlledTerm",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("termid", models.CharField(max_length=200)),
                ("label", models.CharField(max_length=200)),
                ("description", models.TextField(blank=True, null=True)),
                ("data", models.TextField(blank=True, null=True)),
                (
                    "vocabulary",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="controlled_vocabulary.ControlledVocabulary",
                    ),
                ),
            ],
            options={
                "ordering": ["termid"],
                "unique_together": {("vocabulary", "termid")},
            },
        ),
    ]
